package com.zd.laboratory.service;

import java.util.List;
import com.zd.laboratory.domain.LabRelay;

/**
 * 继电器和传感器网关Service接口
 * 
 * @author zd
 * @date 2021-10-16
 */
public interface ILabRelayService 
{
    /**
     * 查询继电器和传感器网关
     * 
     * @param id 继电器和传感器网关主键
     * @return 继电器和传感器网关
     */
    public LabRelay selectLabRelayById(Long id);

    /**
     * 查询继电器和传感器网关列表
     * 
     * @param labRelay 继电器和传感器网关
     * @return 继电器和传感器网关集合
     */
    public List<LabRelay> selectLabRelayList(LabRelay labRelay);

    /**
     * 新增继电器和传感器网关
     * 
     * @param labRelay 继电器和传感器网关
     * @return 结果
     */
    public int insertLabRelay(LabRelay labRelay);

    /**
     * 修改继电器和传感器网关
     * 
     * @param labRelay 继电器和传感器网关
     * @return 结果
     */
    public int updateLabRelay(LabRelay labRelay);

    /**
     * 批量删除继电器和传感器网关
     * 
     * @param ids 需要删除的继电器和传感器网关主键集合
     * @return 结果
     */
    public int deleteLabRelayByIds(Long[] ids);

    /**
     * 删除继电器和传感器网关信息
     * 
     * @param id 继电器和传感器网关主键
     * @return 结果
     */
    public int deleteLabRelayById(Long id);
}
